/* Time-stamp: <2011-10-29 22:03:13 chl> */
  
log using lwb, replace
set autotabgraphs on

webuse lbw, clear

describe
inspect *

label define yesno 0 "No" 1 "Yes"
label values smoke ht ui yesno

drop id

summarize lwt bwt age ptl ftv

foreach var of varlist lwt bwt age ptl ftv {
  egen z`var' = std(`var')
}
graph box z*
drop z*

by low, sort: summarize
tabstat smoke ht ui, by(low) columns(variables)

parcord2 lwt bwt age ptl ftv, by(low)

gen mlbl = cond(low == 0, "o", "+")
graph matrix lwt bwt age ptl ftv, ms(none) mla(mlbl) mlabpos(0) jitter(5)

graph twoway (scatter bwt lwt) (lowess bwt lwt)
pwcorr bwt lwt, obs sig
spearman bwt lwt

ttest bwt, by(smoke)
ttest bwt, by(smoke) welch

by smoke, sort: summarize bwt, details
qplot bwt, by(smoke) trscale(invnormal(@))

graph box bwt, by(smoke)
histogram bwt, by(smoke) frequency

ranksum bwt, by(smoke)

permute bwt sum=r(sum), nodrop nowarn: summarize bwt if smoke

/* One-way ANOVA */
table race, c(mean bwt)
oneway bwt race, tabulate bonf
anova bwt race
pwcompare race, mcompare(tukey) group sort
rvfplot, yline(10)
graph box bwt, over(race)
regress bwt ibn.race, noconstant
regress bwt i.race

/* Two-way ANOVA */
anova bwt smoke##ht
anovaplot ht smoke, scatter(msym(none))
contrast r.smoke@ht
regress bwt i.smoke##i.ht
estimates store aov2

table smoke ht, c(mean bwt) row col
anova bwt smoke ht
regress, noheader
test, showorder
regress bwt i.smoke i.ht
estimates store aov3
lrtest (aov2) (aov3)

anova bwt smoke ht race smoke#race ht#race
anova bwt smoke ht race


